diff --git kcontrol/CMakeLists.txt kcontrol/CMakeLists.txt
index fc666b1..a7686d5 100644
--- kcontrol/CMakeLists.txt
+++ kcontrol/CMakeLists.txt
@@ -18,14 +18,14 @@ if(X11_Xkb_FOUND)
     add_subdirectory( keyboard )
 endif(X11_Xkb_FOUND)
 
-if(NOT WIN32)
+if(NOT WIN32 AND NOT APPLE)
 add_subdirectory( bell )
 add_subdirectory( input )
 add_subdirectory( access )
 add_subdirectory( screensaver )
 add_subdirectory( dateandtime )
 add_subdirectory( autostart )
-endif(NOT WIN32)
+endif(NOT WIN32 AND NOT APPLE)
 
 add_subdirectory( launch )
 add_subdirectory( colors )
@@ -43,9 +43,9 @@ add_subdirectory( hardware )
 add_subdirectory( desktoppaths )
 
 if( FREETYPE_FOUND )
-    if( WIN32 OR FONTCONFIG_FOUND )
+    if( WIN32 OR APPLE OR FONTCONFIG_FOUND )
         add_subdirectory( fonts )
-    endif( WIN32 OR FONTCONFIG_FOUND )
+    endif( WIN32 OR APPLE OR FONTCONFIG_FOUND )
 endif( FREETYPE_FOUND )
 if(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)
     add_subdirectory( kfontinst )
diff --git kcontrol/krdb/krdb.cpp kcontrol/krdb/krdb.cpp
index 36fc99c..b49993e 100644
--- kcontrol/krdb/krdb.cpp
+++ kcontrol/krdb/krdb.cpp
@@ -518,6 +518,7 @@ void runRdb( uint flags )
 
     if( cfgfonts.readEntry( "forceFontDPI", 0 ) != 0 )
       contents += "Xft.dpi: " + cfgfonts.readEntry( "forceFontDPI" ) + '\n';
+#ifdef Q_WS_X11
     else
     {
       KProcess proc;
@@ -530,6 +531,7 @@ void runRdb( uint flags )
         proc.waitForFinished();
       }
     }
+#endif // Q_WS_X11
   }
 
   if (contents.length() > 0)
@@ -537,6 +539,7 @@ void runRdb( uint flags )
 
   tmpFile.flush();
 
+#ifdef Q_WS_X11
   KProcess proc;
 #ifndef NDEBUG
   proc << "xrdb" << "-merge" << tmpFile.fileName();
@@ -544,6 +547,7 @@ void runRdb( uint flags )
   proc << "xrdb" << "-quiet" << "-merge" << tmpFile.fileName();
 #endif
   proc.execute();
+#endif // Q_WS_X11
 
   applyGtkStyles(exportColors, 1);
   applyGtkStyles(exportColors, 2);
diff --git kcontrol/style/CMakeLists.txt kcontrol/style/CMakeLists.txt
index d832b20..7c84cf9 100644
--- kcontrol/style/CMakeLists.txt
+++ kcontrol/style/CMakeLists.txt
@@ -18,9 +18,9 @@ kde4_add_plugin(kcm_style ${kcm_style_PART_SRCS})
 
 target_link_libraries(kcm_style ${KDE4_KIO_LIBS} ${X11_LIBRARIES}
     ${KDE4_PLASMA_LIBS} ${KDE4_KNEWSTUFF3_LIBS})
-if(NOT WIN32)
+if(NOT WIN32 AND NOT APPLE)
     target_link_libraries(kcm_style kdecorations)
-endif(NOT WIN32)
+endif(NOT WIN32 AND NOT APPLE)
 
 install(TARGETS kcm_style  DESTINATION ${PLUGIN_INSTALL_DIR})
 
